<?php
/**
 * @package     Joomla.Plugin
 * @subpackage  Callback24
 * @license     GPLv2 or later
 */
 
defined('_JEXEC') or die;
use Joomla\CMS\Uri\Uri;

class PlgSystemCallbacktwentyfour extends JPlugin{
	/**
	 * Constructor.
	 *
	 * @param   object  &$subject  The object to observe.
	 * @param   array   $config	An optional associative array of configuration settings.
	 *
	 * @since   1.0
	 */
	public function __construct(&$subject, $config)
	{
		// Calling the parent Constructor
		parent::__construct($subject, $config);

		// Do some extra initialisation in this constructor if required
	}

	/**
	 * Listener for the `onAfterInitialise` event
	 *
	 * @return  void
	 *
	 * @since   1.0
	 */
	public function onBeforeCompileHead(){
		$document = JFactory::getDocument();
		$app = JFactory::getApplication();
		$uri = Uri::getInstance();
		$host=$uri->getHost();
			if (!$app->isSite()) {			
				$user = JFactory::getUser();
				$email=$user->email;
				$document->addScriptDeclaration("
					document.addEventListener('DOMContentLoaded', function(){   
						document.getElementById('callback24_ifr').src='https://panel.callback24.io/users/pluginLogin/$email/$host/JOOMLA';
					});
				");
				return;
			}
		
		$document->addScript("https://panel.callback24.io/js/callbackWidget.js?name=$host");

		//return true;
	}
}